Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.changedetection.digest
Class MetaDigesterUtilStrategy

    java.lang.Object
      org.gradle.api.changedetection.digest.MetaDigesterUtilStrategy

All Implemented Interfaces:
  DigesterUtilStrategy

    class MetaDigesterUtilStrategy
    extends java.lang.Object

The DigesterUtilStrategyNames.META DigesterUtilStrategy implementation.

author:
  Tom Eyckmans

Constructor Summary
`MetaDigesterUtilStrategy()`

Method Summary
`void` | `digestDirectory(MessageDigest digester, File directory, long directorySize)` Calls update on the digester with the byte values of: - the absolute path of the directory - the last modified date of the directory - the provided directory size
`void` | `digestFile(MessageDigest digester, File file)` Calls update on the digester with the byte values of: - the absolute path of the file - the last modified date of the file - the file size

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### MetaDigesterUtilStrategy

    MetaDigesterUtilStrategy()

Method Detail

### digestDirectory

    public void digestDirectory(MessageDigest digester, File directory, long directorySize)

  Calls update on the digester with the byte values of: - the absolute path of the directory - the last modified date of the directory - the provided directory size
  param:
    digester The digester to update.
  param:
    directory The directory that needs it's digest calculated.
  param:
    directorySize The directory size that needs to be used during digest calculation.

### digestFile

    public void digestFile(MessageDigest digester, File file)

  Calls update on the digester with the byte values of: - the absolute path of the file - the last modified date of the file - the file size
  param:
    digester The digester to update.
  param:
    file The file that needs it's digest calculated.

Groovy Documentation